Bug 6395 - notification page displays dead links
notification page displays dead links
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: User Interface
2.4.5
All All
: P3 minor
Assigned To: Clinton Graham
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-10 08:34 PST by JQ Johnson
Modified: 2014-09-04 10:30 PDT (History)
4 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description JQ Johnson 2011-02-10 08:34:12 PST
If a journal announcement has expired (or been deleted), the notifications page (accessible via the "view" link in the notification block) displays an entry with "Go To URL" pointing to an inaccessible page.  Similarly, the announcement RSS feed continues to display a link to the deleted announcement, which generates a 404.

If the announcement is not accessible, the link should consistently redirect to the journal announcement page or somewhere similar, if it is shown at all.  It occurs to me that the simplest approach here may be to add a journal-specific 404 handler as part of the creation of each journal or to change the web server installation instructions appropriately, so that all uncaught 404s would go to the journal front page.

By the way, I'm also not convinced that editing the text of an existing announcement should generate a new notification.  We had one editor who couldn't get the text right and edited an announcement a half dozen times in a few minutes, which generated lots of complaints from readers who had signed up for email notifications.
Comment 1 Clinton Graham 2014-06-16 10:20:34 PDT
Pitt ULS is working on this.  Two part fix:
1) (PKP lib) Fix access to an invalid announcement link with a redirect to the announcement page rather than mangled redirect to announcement/announcement.
2) (OJS only) Allow submitter of an announcement to choose whether or not a notification is sent when saving the announcement.  Default to true when initially creating an announcement, default to false when editing an exiting announcement.
Comment 2 Alec Smecher 2014-06-16 10:33:02 PDT
Pull request opened (not merged):
Fix bad announcement redirect
https://github.com/pkp/pkp-lib/pull/106
Comment 3 Alec Smecher 2014-06-16 12:29:02 PDT
Pull request closed (merged):
Fix bad announcement redirect
https://github.com/pkp/pkp-lib/pull/106
Comment 4 Alec Smecher 2014-06-17 09:12:03 PDT
Pull request opened (not merged):
Add UI option to control announcement notification
https://github.com/pkp/pkp-lib/pull/107
Comment 5 Alec Smecher 2014-06-17 09:13:01 PDT
Pull request opened (not merged):
Only create a new notification on update of an annoucement if user allows
https://github.com/pkp/ojs/pull/215
Comment 6 Alec Smecher 2014-06-17 09:15:02 PDT
Pull request closed (merged):
Add UI option to control announcement notification
https://github.com/pkp/pkp-lib/pull/107
Comment 7 Clinton Graham 2014-06-17 09:16:28 PDT
Fix is slightly different than originally documented:
1) PKP lib: Fix invalid announcement link redirect.
2) PKP lib: Add option to select whether or not to send notification.
3) OJS: Send notification only when option is selected.

3a) OCS (TODO): Port these changes.
Comment 8 Alec Smecher 2014-06-17 09:33:03 PDT
Pull request closed (not merged):
Only create a new notification on update of an annoucement if user allows
https://github.com/pkp/ojs/pull/215
Comment 9 Alec Smecher 2014-06-23 11:57:02 PDT
Pull request opened (not merged):
Cleanup announcement notifications locale additions for consisten...
https://github.com/pkp/pkp-lib/pull/114
Comment 10 Alec Smecher 2014-06-23 12:04:03 PDT
Pull request opened (not merged):
Update library (announcement notification cleanup) ##ulsdevteam/cleanup-announcements-nofication-option##
https://github.com/pkp/ojs/pull/223
Comment 11 Alec Smecher 2014-06-23 12:27:02 PDT
Pull request closed (not merged):
Update library (announcement notification cleanup) ##ulsdevteam/cleanup-announcements-nofication-option##
https://github.com/pkp/ojs/pull/223
Comment 12 Alec Smecher 2014-06-23 12:33:02 PDT
Pull request opened (not merged):
Update library (announcement notification cleanup) ##ulsdevteam/cleanup-announcements-nofication-option##
https://github.com/pkp/ojs/pull/224
Comment 13 Clinton Graham 2014-06-23 17:25:03 PDT
Cleanup announcement notifications locale additions for consistency.
https://github.com/pkp/pkp-lib/commit/995613bc5cc484da0a82bee2f547589c4c23a9df
Comment 14 Alec Smecher 2014-06-23 17:25:03 PDT
Pull request closed (merged):
Cleanup announcement notifications locale additions for consisten...
https://github.com/pkp/pkp-lib/pull/114
Comment 15 Alec Smecher 2014-06-23 17:25:03 PDT
Pull request closed (merged):
Update library (announcement notification cleanup) ##ulsdevteam/cleanup-announcements-nofication-option##
https://github.com/pkp/ojs/pull/224
Comment 16 Clinton Graham 2014-07-14 06:02:21 PDT
I think this bug can be marked resolved.
Comment 17 Jason Nugent 2014-07-14 06:38:00 PDT
Reassigning to you, Clinton, for satisfaction.